For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usDashboard
  • Get Started
    • Why Syndicate
    • Quickstart
  • Infrastructure
    • L2 / L3 Chains
    • Smart RPC
    • Mirrors
  • Guides
    • Send and Monitor Transactions
    • IP Allowlisting
    • Mirrors
  • API
      • POSTPersonal Sign
      • POSTSign Typed Data
      • POSTSign Typed Data With Lookup
      • GETGet EIP191 Personal Signatures by Project
      • GETGet EIP191 Personal Signature by ID
      • GETGet EIP712 Typed Data Signatures by Project
      • GETGET EIP712 Typed Data Signature by ID
LogoLogo
Contact usDashboard
APISignatures

Get EIP191 Personal Signature by ID

GET
https://api.syndicate.io/wallet/project/:projectId/personalSignature/:signatureId
GET
/wallet/project/:projectId/personalSignature/:signatureId
$curl https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/personalSignature/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32 \
> -H "Authorization: Bearer <token>"
1{
2 "signatureId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
3 "projectId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
4 "walletAddress": "walletAddress",
5 "chainId": 1,
6 "message": "message",
7 "signature": "signature",
8 "createdAt": "2024-01-15T09:30:00Z"
9}
Get a personal signature by ID
Was this page helpful?
Previous

Get EIP712 Typed Data Signatures by Project

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdUUIDRequired
signatureIdUUIDRequired

Response

This endpoint returns an object.
signatureIdUUID
projectIdUUID
walletAddressstring
chainIdinteger
messagestring
signaturestring
createdAtdatetime

Errors

400
Signature Not Found Error